Summary:	A Bootp and DHCP client for automatic IP configuration
Name:		pump
Version:	0.8.22
Release:	%mkrel 1
Group:		System/Configuration/Networking
BuildRequires:	newt-devel popt-devel slang
License:	MIT
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# no real tarball available, but if you go to ftp.redhat.com ...
URL:		ftp://ftp.redhat.com/pub/redhat/redhat-X.X-en/os/i386/SRPMS
Source0:	%{name}-%{version}.tar.bz2
Patch1:		%{name}-0.8.14-resolvrdv.patch.bz2
Patch2:		%{name}-0.8.19-no-update.patch.bz2
Obsoletes:	bootpc netconfig
Provides:	bootpc netconfig
Requires:	initscripts >= 3.92

%package	devel
Group:		Development/C
Summary:	Header files and static libs for the development of pump applications
Requires:	%{name} = %{version}

%description	devel
Header fies that you will need to develop pump-related applications.

%description
DHCP (Dynamic Host Configuration Protocol) and BOOTP (Boot Protocol)
are protocols which allow individual devices on an IP network to get
their own network configuration information (IP address, subnetmask,
broadcast address, etc.) from network servers.  The overall purpose of
DHCP and BOOTP is to make it easier to administer a large network.

Pump is a combined BOOTP and DHCP client daemon, which allows your machine
to retrieve configuration information from a server.  You should install
this package if you are on a network which uses BOOTP or DHCP.

%prep
%setup -q
%patch1 -p1 -b .resolvrdv
%patch2 -p1

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall RPM_BUILD_ROOT=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_sbindir}/netconfig
/sbin/pump
%{_mandir}/man8/pump.8*

%files devel
%defattr(-,root,root)
%doc COPYING CREDITS
%{_includedir}/*
%{_libdir}/*.a

%changelog
* Sat Jul 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.22-1mdk
- 0.8.22
- fix summary-ended-with-dot
- %%mkrel

* Thu Nov 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.21-1mdk
- 0.8.21

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.20-1mdk
- 0.8.20
- make a patch for updated nb translation in stead (P2)

* Fri Dec 12 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.19-1mdk
- 0.8.19
- spec cosmetics
- replace ".bz2" ending of man page with "*"
- add locale files
- add updated nb translation

* Thu Jul 24 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8.14-2mdk
- rebuild
- use %%make macro
- rm -rf $RPM_BUILD_ROOT in %%install

* Mon Jan 20 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8.14-1mdk
- Launch /sbin/resolvrdv when we need it.
- Bump to version 0.8.14.

* Wed Nov 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.8.11-8mdk
- Fix %%doc
- Patch0: Add missing includes
- Patch1: Correctly link with static libpopt
- Patch2: Build static libpump.a with PIC in case it is linked into a DSO

* Fri Nov  2 2001 dam's <damien@mandrakesoft.com> 0.8.11-7mdk
- typo

* Fri Nov  2 2001 dam's <damien@mandrakesoft.com> 0.8.11-6mdk
- corrected URL.

* Thu Nov  1 2001 dam's <damien@mandrakesoft.com> 0.8.11-5mdk
- added URL tag.

* Wed Aug 22 2001 dam's <damien@mandrakesoft.com> 0.8.11-4mdk
- added Provides.

* Thu Jul 19 2001 Stefan van der Eijk <stefan@eijk.nu> 0.8.11-3mdk
- BuildRequires:	popt-devel

* Tue May 22 2001 Geoffrey Lee <snaitalk@mandrakesoft.com> 0.8.11-2mdk
- s/Copyright/License/;
- License is GPL: hell no way is it MIT.

* Mon Apr  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8.11-1mdk
- 0.8.11

* Wed Jan 24 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8.7-1mdk
- 0.8.7.

* Sat Dec  2 2000 dam's <damien@mandrakesoft.com> 0.8.4-2mdk
- added dependencies and doc.

* Sun Nov 05 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8.4-1mdk
- new release from the nice people at RedHat.

* Mon Aug 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8.2-1mdk
- new and shiny version.
- add a devel package.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.8-5mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.8-4mdk
- BM
- macroszifications

* Mon Mar 20 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.7.8-3mdk
- 0.7.8-3mdk

* Tue Feb 15 2000 Erik Troan <ewt@redhat.com>
- added script argument (Guy Delamarter <delamart@pas.rochester.edu>)
- fixed bug in hostname passing (H.J. Lu)
- fixed time displays to be in wall time, not up time (Chris Johnson)

* Wed Feb  9 2000 Bill Nottingham <notting@redhat.com>
- fix bug in netconfig - hitting 'back' causes bogus config files
  to get written

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- added patch from duanev@io.com which improves debug messages and
  uses /proc/uptime rather time time() -- this should be correct for
  everything but systems that are suspended during their lease time, in
  which case we'll be wrong <sigh>
- added hostname to DISCOVER and RELEASE events; hopefully this gets us
  working for all @HOME systems.
- patch from dunham@cse.msu.edu fixed /etc/resolv.conf parsing

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Wed Nov 10 1999 Erik Troan <ewt@redhat.com>
- at some point a separate dhcp.c was created
- include hostname in renewal request
- changed default lease time to 6 hours
- if no hostname is specified on the command line, use gethostname()
  to request one (unless it's "localhost" or "localhost.localdomain")
- properly handle failed renewal attempts
- display (and request) syslog, lpr, ntp, font, and xdm servers

* Tue Sep 14 1999 Michael K. Johnson <johnsonm@redhat.com>
- pump processes cannot accumulate because of strange file
  descriptors (bug only showed up under rp3)

* Tue Sep  7 1999 Bill Nottingham <notting@redhat.com>
- add simple network configurator

* Wed Jun 23 1999 Erik Troan <ewt@redhat.com>
- patch from Sten Drescher for syslog debugging info 
- patch from Sten Drescher to not look past end of dhcp packet for options
- patches form Alan Cox for cleanups, malloc failures, and proper udp checksums
- handle replies with more then 3 dns servers specified
- resend dhcp_discover with proper options field
- shrank dhcp_vendor_length to 312 for rfc compliance (thanks to Ben Reed)
- added support for a config file
- don't replace search pass in /etc/resolv.conf unless we have a better one
- bringing down a device didn't work properly

* Sat May 29 1999 Erik Troan <ewt@redhat.com>
- bootp interfaces weren't being brought down properly
- segv could result if no domain name was given

* Sat May 08 1999 Erik Troan <ewt@redhat.com>
- fixed some file descriptor leakage

* Thu May 06 1999 Erik Troan <ewt@redhat.com>
- set option list so we'll work with NT
- tried to add a -h option, but I have no way of testing it :-(

* Wed Apr 28 1999 Erik Troan <ewt@redhat.com>
- closing fd 1 is important

* Mon Apr 19 1999 Bill Nottingham <notting@redhat.com>
- don't obsolete dhcpcd

* Tue Apr 06 1999 Erik Troan <ewt@redhat.com>
- retry code didn't handle failure terribly gracefully

* Tue Mar 30 1999 Erik Troan <ewt@redhat.com>
- added --lookup-hostname
- generate a DNS search path based on full domain set
- use raw socket for revieving reply; this lets us work properly on 2.2
  kernels when we recieve unicast replies from the bootp server

* Mon Mar 22 1999 Erik Troan <ewt@redhat.com>
- it was always requesting a 20 second lease

* Mon Mar 22 1999 Michael K. Johnson <johnsonm@redhat.com>
- added minimal man page /usr/man/man8/pump.8
